summaryrefslogtreecommitdiffstats
path: root/libraries/libopenraw
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-11 20:00:54 +0200
committer Robby Workman2010-05-11 20:00:54 +0200
commitbc4761cd7ea0824c74721fec517a671be1b0e406 (patch)
tree2cc3d4ee6baf885fb01d04b555deff1db5695df0 /libraries/libopenraw
parent557153543faeb19d4440c8e206695b715d89d4e1 (diff)
downloadslackbuilds-bc4761cd7ea0824c74721fec517a671be1b0e406.tar.gz
libraries/libopenraw: Added to 12.0 repository
Diffstat (limited to 'libraries/libopenraw')
-rw-r--r--libraries/libopenraw/README9
-rw-r--r--libraries/libopenraw/libopenraw.SlackBuild80
-rw-r--r--libraries/libopenraw/libopenraw.info8
-rw-r--r--libraries/libopenraw/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/libraries/libopenraw/README b/libraries/libopenraw/README
new file mode 100644
index 0000000000..b09e2c50c4
--- /dev/null
+++ b/libraries/libopenraw/README
@@ -0,0 +1,9 @@
+libopenraw is an ongoing project to provide a free software implementation
+for camera RAW files decoding. One of the main reasons is that dcraw is not
+suited for easy integration into applications, and there is a need for an
+easy to use API to build free software digital image processing applications.
+
+It also has the goal to address missing features of dcraw like meta-data
+decoding and easy thumbnail extraction.
+
+libopenraw requires boost (also available at SlackBuilds.org).
diff --git a/libraries/libopenraw/libopenraw.SlackBuild b/libraries/libopenraw/libopenraw.SlackBuild
new file mode 100644
index 0000000000..7a671d498a
--- /dev/null
+++ b/libraries/libopenraw/libopenraw.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for libopenraw
+
+# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libopenraw
+VERSION=0.0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libopenraw/libopenraw.info b/libraries/libopenraw/libopenraw.info
new file mode 100644
index 0000000000..212a21b223
--- /dev/null
+++ b/libraries/libopenraw/libopenraw.info
@@ -0,0 +1,8 @@
+PRGNAM="libopenraw"
+VERSION="0.0.3"
+HOMEPAGE="http://libopenraw.freedesktop.org/wiki"
+DOWNLOAD="http://libopenraw.freedesktop.org/download/libopenraw-0.0.3.tar.gz"
+MD5SUM="53494b54e4d982e3a9871c6e5e66eced"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/libraries/libopenraw/slack-desc b/libraries/libopenraw/slack-desc
new file mode 100644
index 0000000000..ba0f1206ba
--- /dev/null
+++ b/libraries/libopenraw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libopenraw: libopenraw (free software library for RAW files)
+libopenraw:
+libopenraw: libopenraw is an ongoing project to provide a free software
+libopenraw: implementation for camera RAW files decoding. One of the main
+libopenraw: reasons is that dcraw is not suited for easy integration into
+libopenraw: applications, and there is a need for an easy to use API to
+libopenraw: build free software digital image processing applications.
+libopenraw:
+libopenraw: It also has the goal to address missing feature from dcraw
+libopenraw: like meta-data decoding and easy thumbnail extraction.
+libopenraw: